GET
/api/v2/users/{userId}/kyc/detailed-statusGet detailed KYC status breakdown for the user
Authentication
Send your API key in the x-api-key header on every request.
Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| userId (path) | unknown | Yes | User ID to check KYC status for |
Responses
200 — OK
| Field | Type | Required | Description |
|---|---|---|---|
| HoppaCardKycApproved | boolean | No | |
| BankKycApproved | boolean | No | |
| CardIssuerKycApproved | boolean | No | |
| Interlace | ProviderKycStatusV2 | No | |
| EqualsMoney | EqualsMoneyKycStatusV2 | No |
401 — Unauthorized
| Field | Type | Required | Description |
|---|---|---|---|
| Message | string | No | |
| Code | string | No | |
| Status | unknown | No | |
| ValidationErrors | object | No | |
| Details | string | No |
404 — Not Found
| Field | Type | Required | Description |
|---|---|---|---|
| Message | string | No | |
| Code | string | No | |
| Status | unknown | No | |
| ValidationErrors | object | No | |
| Details | string | No |
500 — Internal Server Error
| Field | Type | Required | Description |
|---|---|---|---|
| Message | string | No | |
| Code | string | No | |
| Status | unknown | No | |
| ValidationErrors | object | No | |
| Details | string | No |
Example request
curl -X GET "https://{base_url}/api/v2/users/{userId}/kyc/detailed-status" \
-H "x-api-key: YOUR_API_KEY"This page is generated from the live OpenAPI specification and always matches the current API.